## pwauth 2.3.8

=== Makefile ===
# The following three lines should be modified to appropriate values for your
# system.  Most of the configurable stuff is in config.h
#
#   CC=       an ansi-C compiler.  If "cc" doesn't work, try "gcc".
#   LIB=      libraries to link in.  -lcrypt, -lshadow, -lpam sometimes needed.
#   LOCALFLAGS=   compiler flags.  Usually -g, -O, and stuff like that.

# Settings for author's system (Redhat 6.1)
CC=gcc
LIB= -lcrypt
LOCALFLAGS= -g 

# For PAM on Redhat Linux
# LIB=-lpam -ldl

# For PAM on Solaris or OS X
# LIB=-lpam

# -------------------- No User Servicable Parts Below -----------------------

CFLAGS= $(LOCALFLAGS)

pwauth: main.o auth_aix.o auth_bsd.o auth_hpux.o auth_mdw.o auth_openbsd.o \
	auth_pam.o auth_sun.o fail_log.o lastlog.o nologin.o snooze.o
	$(CC) -o pwauth $(CFLAGS) main.o auth_aix.o auth_bsd.o auth_hpux.o \
		auth_mdw.o auth_openbsd.o auth_pam.o auth_sun.o fail_log.o \
		lastlog.o nologin.o snooze.o $(LIB)

checkfaillog: checkfaillog.o fail_check.o
	$(CC) -o checkfaillog $(CFLAGS) checkfaillog.o fail_check.o $(LIB)

main.o: main.c config.h pwauth.h fail_log.h
auth_aix.o: auth_aix.c config.h pwauth.h
auth_bsd.o: auth_bsd.c config.h pwauth.h
auth_hpux.o: auth_hpux.c config.h pwauth.h
auth_mdw.o: auth_mdw.c config.h pwauth.h
auth_openbsd.o: auth_openbsd.c config.h
auth_pam.o: auth_pam.c config.h pwauth.h
auth_sun.o: auth_sun.c config.h pwauth.h
checkfaillog.o: checkfaillog.c config.h fail_log.h
fail_check.o: fail_check.c config.h fail_log.h
fail_log.o: fail_log.c config.h pwauth.h fail_log.h
lastlog.o: lastlog.c config.h pwauth.h
nologin.o: nologin.c config.h pwauth.h
snooze.o: snooze.c config.h pwauth.h


clean:
	rm -f *.o

distclean:
	rm -f *.o pwauth checkfaillog

## pwauth 2.3.11

=== debian/changelog ===
pwauth (2.3.11-6) unstable; urgency=medium

  * QA Upload
  * Migrate to `debputy` to avoid needing (fake)root.

 -- Niels Thykier <niels@thykier.net>  Thu, 06 Jun 2024 13:59:03 +0000

pwauth (2.3.11-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + pwauth: Drop versioned constraint on libapache2-mod-authnz-external in
      Recommends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 12:52:06 +0100

pwauth (2.3.11-4) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 2.3.8-1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 19:50:39 +0000

pwauth (2.3.11-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added VCS fields.
  * debian/salsa-ci.yml:
      - Added to provide CI tests for Salsa.
      - Added allow_failure to reprotest.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 04 Jun 2020 00:11:42 +0000

pwauth (2.3.11-2) unstable; urgency=medium

  * QA upload.
  * debian/tests/control:
      - Created to perform a trivial test.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 25 May 2020 21:20:55 +0000

pwauth (2.3.11-1) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #673652)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards Version to 4.5.0.
      - Fix spelling error in description.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated packaging copyright.
  * debian/pwauth.man:
      - Fix spelling error.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 11 May 2020 19:33:17 +0000

pwauth (2.3.11-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the build dependency on hardening-wrapper. (Closes: #836760)
    - We can drop the manual CFLAGS passing; this is done automatically with
      debhelper 9 and dh_auto_* commands.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 12:11:51 +0200

pwauth (2.3.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Convert source package to 3.0 (quilt)
  * Compile without SERVER_UIDS to be usable not only by apache (eg. exim) (Closes: #572492)
  * Install SUID root (Closes: #615027)
  * debian/control: - Build-Depends on hardening-includes
                    - remote cdbs
  * debian/compat: version 9
  * debian/rules: use debhelper v9, hardening

 -- Petr Čech <cech@debian.org>  Tue, 06 May 2014 12:46:28 +0200

pwauth (2.3.8-1) unstable; urgency=low

  * Initial release (Closes: #526762)

 -- Hai Zaar <haizaar@haizaar.com>  Tue, 05 May 2009 20:37:00 +0300

=== debian/control ===
Source: pwauth
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-zz-debputy-rrr (>= 0.1.23~),
               libpam0g-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/pwauth
Vcs-Git: https://salsa.debian.org/debian/pwauth.git

Package: pwauth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libapache2-mod-authnz-external
Description: authenticator for mod_authnz_external and the Apache HTTP Daemon
 Pwauth is an authenticator designed to be used with
 mod_auth_external or mod_authnz_external and the Apache
 HTTP Daemon to support reasonably secure web
 authentication out of the system password database on most
 versions of Unix. Particularly - secure authentication
 against PAM.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	rm debian/pwauth/usr/sbin/checkfaillog
	rm debian/pwauth/usr/sbin/unixgroup

=== debian/tests/control ===
Test-Command: useradd test-pwauth;
              echo "test-pwauth:password" | chpasswd;
              (echo test-pwauth; echo password) | pwauth
Restrictions: needs-root
